require 'providers/aws/aws_provider_account'
require 'providers/openstack/openstack_provider_account'
require 'providers/static/static_provider_account'

FactoryGirl.define do
  factory :provider_account, class: Devops::Model::ProviderAccount do
    account_name 'name'
    description 'desc'
    ssh_key 'user_key'


    factory :static_provider_account, class: Devops::Model::StaticProviderAccount do
    end

    factory :aws_provider_account, class: Devops::Model::AwsProviderAccount do
      provider 'ec2'
      access_key_id 'a'*16
      secret_access_key 'secret'
      storage_bucket_name 'bucket'
      use_iam_profile true
    end

    factory :openstack_provider_account, class: Devops::Model::OpenstackProviderAccount do
      provider 'openstack'
    end
  end
end